import { JSONContent } from "@tiptap/react";
import "../styles.css";
import { PagePadding } from "../lib/utils";
type EditorOpts = {
    padding: PagePadding;
};
type EditorProps = {
    readOnly?: boolean;
    initialContent?: string | JSONContent | undefined;
    getTextContent?: (text: string) => void;
    getJSONContent?: (json: JSONContent) => void;
    getHTMLContent?: (html: string) => void;
    onSave?: (content: string) => void;
    onClose?: () => void;
    onCreateNew?: () => void;
    toolbarRight?: React.ReactNode | string | null | undefined;
    editorOpts?: EditorOpts;
    getEditorOpts?: (editorOpts: EditorOpts) => void;
    hideToolbar?: boolean;
    hideMenubar?: boolean;
};
export declare function Editor({ readOnly, initialContent, getTextContent, getJSONContent, getHTMLContent, onSave, onClose, onCreateNew, toolbarRight, editorOpts, getEditorOpts, hideToolbar, hideMenubar, }: EditorProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Editor {
    var defaultProps: {
        initialContent: string;
        readOnly: boolean;
        toolbarRight: null;
        getHTMLContent: () => void;
        getJSONContent: () => void;
        getTextContent: () => void;
        onClose: () => void;
        onSave: () => void;
        onCreateNew: () => void;
        getEditorOpts: () => {
            padding: {
                top: number;
                bottom: number;
                left: number;
                right: number;
            };
        };
        editorOpts: {
            padding: {
                top: number;
                bottom: number;
                left: number;
                right: number;
            };
        };
        hideToolbar: boolean;
        hideMenubar: boolean;
    };
}
export {};
