import { create } from "zustand";
import { DEFAULT_RULER_MARGIN } from "../lib/constants";
export const useEditorStore = create((set) => ({
    editor: null,
    setEditor: (editor) => set({ editor }),
    editorOpts: {
        padding: {
            top: DEFAULT_RULER_MARGIN,
            right: DEFAULT_RULER_MARGIN,
            bottom: DEFAULT_RULER_MARGIN,
            left: DEFAULT_RULER_MARGIN,
        },
    },
    setEditorOpts: (opts) => set((state) => ({
        editorOpts: typeof opts === "function"
            ? opts(state.editorOpts)
            : opts,
    })),
}));
